# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif
%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

%define major   4
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           hyprutils
Version:        0.5.2
Release:        %mkrel 1
Summary:        Hyprland utilities library used across the ecosystem
Group:          System/Libraries
License:        BSD-3-Clause
URL:            https://github.com/hyprwm/hyprutils
Source:         https://github.com/hyprwm/hyprutils/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         hyprutils-0.2.3-format-fix.diff

BuildRequires:  cmake
BuildRequires:  gcc-c++ >= 8
%if 0%{?mageia} < 10
BuildRequires:  pkgconfig(fmt)
%endif
BuildRequires:  pkgconfig(pixman-1)

%description
Hyprland utilities library used across the ecosystem.

%package -n %{libname}
Summary:        Hyprland utilities library used across the ecosystem
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Hyprland utilities library used across the ecosystem.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%setup -q
# It can't be done through autosetup because it will cause conflicts between
# <format> and <fmt/core.h> when <format> is present.
%if 0%{?mageia} < 10
%patch -P0 -p1
%endif

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
